package com.unipi.talepis;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@SpringBootApplication
@RestController
public class DemoSpringBootCs2021Application {

    public static void main(String[] args) {
        SpringApplication.run(DemoSpringBootCs2021Application.class, args);
    }
    @GetMapping("/hello")
    public String helloWorld(){
        return "Hello World!";
    }
    @GetMapping("/givename")
    public String helloName(@RequestParam(value = "yourName", defaultValue = "Maria") String name){
        return "Hello "+name+"! Have a nice day!";
    }

}
